<?php

/**
 * Returns the importmap for this application.
 *
 * - "path" is a path inside the asset mapper system. Use the
 *     "debug:asset-map" command to see the full list of paths.
 *
 * - "entrypoint" (JavaScript only) set to true for any module that will
 *     be used as an "entrypoint" (and passed to the importmap() Twig function).
 *
 * The "importmap:require" command can be used to add new entries to this file.
 */
return [
    'app' => [
        'path' => './assets/app.js',
        'entrypoint' => true,
    ],
    'datatables' => [
        'path' => './assets/datatables.js',
        'entrypoint' => true,
    ],
    'jqueryLocal' => [
        'path' => './assets/jqueryLocal.js',
    ],
    'utils' => [
        'path' => './assets/utils.js',
    ],
    'fontawesome' => [
        'path' => './assets/fontawesome.js',
    ],
    'bootstrap' => [
        'version' => '5.3.6',
    ],
    '@popperjs/core' => [
        'version' => '2.11.8',
    ],
    'jquery' => [
        'version' => '3.7.1',
    ],
    'datatables.net' => [
        'version' => '2.3.1',
    ],
    'datatables.net-dt/css/dataTables.dataTables.min.css' => [
        'version' => '2.3.1',
        'type' => 'css',
    ],
    'datatables.net-bs5' => [
        'version' => '2.3.1',
    ],
    'datatables.net-bs5/css/dataTables.bootstrap5.min.css' => [
        'version' => '2.3.1',
        'type' => 'css',
    ],
    '@fortawesome/fontawesome-svg-core' => [
        'version' => '6.7.2',
    ],
    '@fortawesome/free-solid-svg-icons' => [
        'version' => '6.7.2',
    ],
    '@fortawesome/fontawesome-svg-core/styles.min.css' => [
        'version' => '6.7.2',
        'type' => 'css',
    ],
    'bootstrap/dist/css/bootstrap.min.css' => [
        'version' => '5.3.6',
        'type' => 'css',
    ],
];
